<?php
class LdapAttribute {
	var $name;
	var $values;
	
	function LdapAttribute($name) {
		$this->name=$name;
		$this->values=array();
	}
	
	function addValue($value,$lang) {
		if (strcmp($lang,"")==0) {
			$this->values[]=array('value' => $value);
		}
		else {
			$this->values[]=array('value' => $value, 'lang' => $lang);
		}
	}
	
	function getFirstValue() {
		return $this->values[0]['value'];
	}
	
	function setLanguage($lang) {
		$temp=array();
		$found=false;
		foreach ($this->values as $elem) {
			if (array_key_exists('lang',$elem)&&strcmp($lang,$elem['lang'])==0) {
				$found=true;
				unset($elem['lang']);
				$temp[]=$elem;
			}
		}
		if ($found==true) {
			$this->values=$temp;
		}
	}
	
	function getName() {
		return $this->name;
	}
	
	function setName($name) {
		$this->name=$name;
	}
	
	function getValues() {
		$temp=array();
		foreach ($this->values as $elem) {
			$temp[]=$elem['value'];
		}
		return $temp;
	}
	
	function getArrayValues() {
		return $this->values;
	}
	
	function clearValues() {
		$this->values=array();
	}
}
?>